# GUIPage

class GUIPage<T : ForInventory>(number: Int, slots: Map<Int, GUISlot<T>>, transitionTo: PageChangeEffect?, transitionFrom: PageChangeEffect?)
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard

## Properties

number
Link copied to clipboard
val number: Int
Content copied to clipboard
transitionFrom
Link copied to clipboard
val transitionFrom: PageChangeEffect?
Content copied to clipboard
transitionTo
Link copied to clipboard
val transitionTo: PageChangeEffect?
Content copied to clipboard